Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88122 - up2date hangs due to uncaught "Connection reset by peer"
Summary: up2date hangs due to uncaught "Connection reset by peer"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-06 09:25 UTC by Jonas Kvarnström
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-02 19:02:30 UTC


Attachments (Terms of Use)

Description Jonas Kvarnström 2003-04-06 09:25:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030210

Description of problem:
After installing RedHat Linux 9, I ran up2date from a terminal window. I got the
ordinary up2date GUI and clicked through a few of the pages.  When I reached the
phase where up2date downloaded RPM headers for a number of packages, it
eventually hung about half-way through with no indication of any error in the GUI.

After a while I checked the terminal window and saw this:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1175, in onChannelsPageNext
    self.pkgList = self.pList.getPackagesToInstall()
  File "/usr/share/rhn/up2date_client/packageList.py", line 308, in
getPackagesToInstall
    result = self.__skipPackages(result)
  File "/usr/share/rhn/up2date_client/packageList.py", line 336, in __skipPackages
    packageList = self.__skipFiles(packageList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 357, in __skipFiles
    ignoreMsgCallback = self.ignoreMsgCallback)
  File "/usr/share/rhn/up2date_client/packageList.py", line 416, in buildHeaderList
    hdr = headerList[pkg]
  File "/usr/share/rhn/up2date_client/headers.py", line 121, in __getitem__
    self.__retrievePackage(item)
  File "/usr/share/rhn/up2date_client/headers.py", line 126, in __retrievePackage
    hdr, sourceType = rpcServer.doCall(rpmSource.psc.headerSource.getHeader, item)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 114, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 239, in getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 666, in getHeader
    fd = self.s.getPackageHeader(channel, filename)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 130, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 614, in send_http
    headers=self.headers)
  File "/usr/lib/python2.2/httplib.py", line 701, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python2.2/httplib.py", line 723, in _send_request
    self.endheaders()
  File "/usr/lib/python2.2/httplib.py", line 695, in endheaders
    self._send_output()
  File "/usr/lib/python2.2/httplib.py", line 581, in _send_output
    self.send(msg)
  File "/usr/lib/python2.2/httplib.py", line 560, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 191, in write
    sent = self._connection.send(data)
SSL.SysCallError: (104, 'Connection reset by peer')
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1218, in onSkippedPagePrepare
    maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
ValueError: min() or max() arg is an empty sequence
TypeError: hide() takes no arguments (2 given)


Version-Release number of selected component (if applicable):
up2date-3.1.23-1

How reproducible:
Didn't try


Additional info:


Note You need to log in before you can comment on or make changes to this bug.